# Create a standalone invoice Creates a standalone invoice for selling physical goods, services or other items on a non-recurring basis to your subscription customers. To use this operation, you must have the Modify Invoice and at least one of the Create Standalone Invoice With Product Catalog or Create Standalone Invoice Without Product Catalog user permissions. See Billing Roles for more information. Endpoint: POST /v1/invoices Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountId` (string) The ID of the account associated with the invoice. You must specify either accountNumber or accountId for a customer account. If both of them are specified, they must refer to the same customer account. Example: "8ad09be48db5aba7018db604776d4854" - `accountNumber` (string) The Number of the account associated with the invoice. You must specify either accountNumber or accountId for a customer account. If both of them are specified, they must refer to the same customer account. - `autoPay` (boolean) Whether invoices are automatically picked up for processing in the corresponding payment run. - `billToContact` (object) Container for bill-to, sold-to, or ship-to contact information. A new Contact will be created under the invoice owner account. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `billToContact.address1` (string) First address line, 255 characters or less. - `billToContact.address2` (string) Second address line, 255 characters or less. - `billToContact.city` (string) City, 40 characters or less. - `billToContact.country` (string) Country; must be a valid country name or abbreviation. If using Zuora Tax, you must specify a country in the ship-to or sold-to contact to calculate tax. A bill-to contact may be used if no ship-to or sold-to contact is provided. - `billToContact.county` (string) County; 32 characters or less. May optionally be used by Zuora Tax to calculate county tax. - `billToContact.fax` (string) Fax phone number, 40 characters or less. - `billToContact.firstName` (string, required) First name, 100 characters or less. - `billToContact.homePhone` (string) Home phone number, 40 characters or less. - `billToContact.lastName` (string, required) Last name, 100 characters or less. - `billToContact.mobilePhone` (string) Mobile phone number, 40 characters or less. - `billToContact.nickname` (string) Nickname for this contact - `billToContact.otherPhone` (string) Other phone number, 40 characters or less. - `billToContact.otherPhoneType` (string) Possible values are: Work, Mobile, Home, Other. - `billToContact.personalEmail` (string) Personal email address. - `billToContact.state` (string) State; must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. If using Zuora Tax, be aware that Zuora Tax requires a state (in the US) or province (in Canada) in this field for the ship-to or sold-to contact to calculate tax, and that a bill-to contact may be used if no ship-to or sold-to contact is provided. - `billToContact.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. Not required. - `billToContact.workEmail` (string) Work email address, 80 characters or less. - `billToContact.workPhone` (string) Work phone number, 40 characters or less. - `billToContact.zipCode` (string) Zip code, 20 characters or less. - `billToContactId` (string) The ID of the bill-to contact associated with the invoice. This field is mutually exclusive with the billToContact field. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `comments` (string) Comments about the invoice. - `currency` (string) The code of a currency as defined in Billing Settings through the Zuora UI. If you do not specify a currency during standalone invoice creation, the default account currency is applied. The currency that you specify in the request must be configured and activated in Billing Settings. Note: This field is available only if you have the Multiple Currencies feature enabled. - `customRates` (array) It contains Home currency and Reporting currency custom rates currencies. The maximum number of items is 2 (you can pass the Home currency item or Reporting currency item or both). Note: - This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - You cannot set the custom rates, if both the Automatically include additional Currency Conversion information in data source exports option and Fx data feature are enabled. - Invoice, InvoiceItem, and TaxationItem will utilize the provided custom Fx rate to convert amounts from the transactional currency to the home currency. - `customRates.currency` (string, required) The currency code for either Reporting or Home currency. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or later. - `customRates.customFxRate` (number, required) The Custom FX conversion rate between Home/Reporting and Transactional currency items. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or later. - `customRates.rateDate` (string) The date on which a particular currency rate is fixed or obtained on. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or later. - `dueDate` (string) The date by which the payment for this invoice is due, in yyyy-mm-dd format. - `invoiceDate` (string, required) The date that appears on the invoice being created, in yyyy-mm-dd format. The value cannot fall in a closed accounting period. Example: "2024-07-30" - `invoiceItems` (array) Container for invoice items. The maximum number of invoice items is 1,000. You must have corresponding billing permissions to create invoice items from existing product rate plan charges or new charges. For more information about billing permissions, see Billing Roles. - To create an invoice item from an existing charge, you must have the Create Standalone Invoice With Product Catalog permission and specify the charge ID in the productRatePlanChargeId field. - To create an invoice item from a new charge, you must have the Create Standalone Invoice Without Product Catalog permission without specifying the productRatePlanChargeId field. Note: For the "Create a standalone invoice" and "Create standalone invoices" operations, note the following: - If tax has been calculated by an external tax engine, you need to create a standalone invoice with both invoiceItems and taxItems. The taxItems corresponds to the tax information processed by this external tax engine. In this case, you should not specify the taxMode and taxCode nested fields of the invoiceItems field. Instead, you need to specify the taxMode and taxCode nested fields of the taxItems field. You need to specify the taxMode field as TaxExclusive. - If tax has not been calculated by an external tax engine, you can create a standalone invoice only with invoiceItems, and decide whether Zuora includes the tax in the quoted charge price and invoice item by specifying the taxMode nested field of the invoiceItems field as either TaxExclusive or TaxInclusive. Meanwhile, you need to specify the taxCode field, indicating the charge price and invoice item are taxable. Example: [{"amount":100,"serviceStartDate":"2024-07-11","productRatePlanChargeId":"8ad097b4909708e001909b41bb085d38"}] - `invoiceItems.accountingCode` (string) The accounting code associated with the invoice item. - `invoiceItems.adjustmentLiabilityAccountingCode` (string) The accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.adjustmentRevenueAccountingCode` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.amount` (number, required) The amount of the invoice item. - For tax-inclusive invoice items, the amount indicates the invoice item amount including tax. - For tax-exclusive invoice items, the amount indicates the invoice item amount excluding tax. - `invoiceItems.bookingReference` (string) The booking reference of the invoice item. - `invoiceItems.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `invoiceItems.chargeName` (string) The name of the charge associated with the invoice item. This field is required if the productRatePlanChargeId field is not specified in the request. - `invoiceItems.contractAssetAccountingCode` (string) The accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractLiabilityAccountingCode` (string) The accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractRecognizedRevenueAccountingCode` (string) The accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.description` (string) The description of the invoice item. - `invoiceItems.discountItems` (array) Container for discount items. The maximum number of discount items is 10. - `invoiceItems.discountItems.accountingCode` (string) The accounting code associated with the discount item. - `invoiceItems.discountItems.accountsReceivableAccountingCode` (string) The accounting code for accounts receivable. - `invoiceItems.discountItems.adjustmentLiabilityAccountingCode` (string) The accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.adjustmentRevenueAccountingCode` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.amount` (number, required) The amount of the discount item. - Should be a negative number. For example, -10. - Always a fixed amount no matter whether the discount charge associated with the discount item uses the [fixed-amount model or percentage model](https://knowledgecenter.zuora.com/Billing/Subscriptions/Product_Catalog/B_Charge_Models/B_Discount_Charge_Models#Fixed_amount_model_and_percentage_model). - For tax-exclusive discount items, this amount indicates the discount item amount excluding tax. - For tax-inclusive discount items, this amount indicates the discount item amount including tax. - `invoiceItems.discountItems.bookingReference` (string) The booking reference of the discount item. - `invoiceItems.discountItems.chargeDate` (string) The date when the discount item is charged, in yyyy-mm-dd hh:mm:ss format. - `invoiceItems.discountItems.chargeName` (string) The name of the charge associated with the discount item. This field is required if the productRatePlanChargeId field is not specified in the request body. - `invoiceItems.discountItems.contractAssetAccountingCode` (string) The accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.contractLiabilityAccountingCode` (string) The accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.contractRecognizedRevenueAccountingCode` (string) The accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.discountItems.description` (string) The description of the discount item. - `invoiceItems.discountItems.itemType` (string) The type of the discount item. - `invoiceItems.discountItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the discount item is created from. If you specify a value for the productRatePlanChargeId field in the request, Zuora directly copies the values of the following fields from the corresponding product rate plan charge, regardless of the values specified in the request body: - chargeName - sku If you specify a value for the productRatePlanChargeId field in the request, Zuora directly copies the values of the following fields from the corresponding discount charge that [uses discount specific accounting codes, rule and segment to manage revenue](https://knowledgecenter.zuora.com/Billing/Subscriptions/Product_Catalog/B_Charge_Models/Manage_Discount_Charges#Use_discount_specific_accounting_codes.2C_rule_and_segment_to_manage_revenue), regardless of the values specified in the request body: - accountingCode - deferredRevenueAccountingCode - recognizedRevenueAccountingCode If you specify a value for the productRatePlanChargeId field in the request, Zuora directly copies the values of the following fields from the corresponding invoice item charge if the discount charge DOES NOT [use discount specific accounting codes, rule and segment to manage revenue](https://knowledgecenter.zuora.com/Billing/Subscriptions/Product_Catalog/B_Charge_Models/Manage_Discount_Charges#Use_discount_specific_accounting_codes.2C_rule_and_segment_to_manage_revenue), regardless of the values specified in the request body: - accountingCode - deferredRevenueAccountingCode - recognizedRevenueAccountingCode - `invoiceItems.discountItems.purchaseOrderNumber` (string) The purchase order number associated with the discount item. - `invoiceItems.discountItems.recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.discountItems.revRecCode` (string) The revenue recognition code. - `invoiceItems.discountItems.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `invoiceItems.discountItems.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.discountItems.sku` (string) The SKU of the invoice item. The SKU of the discount item must be different from the SKU of any existing product. - `invoiceItems.discountItems.taxItems` (array) Container for taxation items. The maximum number of taxation items is 5. Note: This field is only available only if you have Taxation enabled. - `invoiceItems.discountItems.taxItems.exemptAmount` (string) The calculated tax amount excluded due to the exemption. - `invoiceItems.discountItems.taxItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `invoiceItems.discountItems.taxItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `invoiceItems.discountItems.taxItems.name` (string, required) The name of taxation. - `invoiceItems.discountItems.taxItems.taxAmount` (string, required) The amount of the taxation item in the invoice item. - `invoiceItems.discountItems.taxItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice item. - `invoiceItems.discountItems.taxItems.taxCodeDescription` (string) The description of the tax code. - `invoiceItems.discountItems.taxItems.taxDate` (string, required) The date that the tax is applied to the invoice item, in yyyy-mm-dd format. - `invoiceItems.discountItems.taxItems.taxMode` (string, required) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxInclusive", "TaxExclusive" - `invoiceItems.discountItems.taxItems.taxRate` (string, required) The tax rate applied to the invoice item. - `invoiceItems.discountItems.taxItems.taxRateDescription` (string) The description of the tax rate. - `invoiceItems.discountItems.taxItems.taxRateType` (string, required) The type of the tax rate applied to the invoice item. Enum: "Percentage", "FlatFee" - `invoiceItems.discountItems.unbilledReceivablesAccountingCode` (string) The accounting code for unbilled receivables. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.discountItems.unitPrice` (number) The per-unit price of the discount item. If the discount charge associated with the discount item uses the percentage model, the unit price will display as a percentage amount in PDF. For example: if unit price is 5.00, it will display as 5.00% in PDF. - `invoiceItems.discountItems.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoiceItems.discountItems.IntegrationStatus__NS` (string) Status of the invoice item's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoiceItems.discountItems.SyncDate__NS` (string) Date when the invoice item was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.itemType` (string) The type of the invoice item. - `invoiceItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. You must have the Create Standalone Invoice With Product Catalog permission to create an invoice item from an existing charge. If you specify a value for the productRatePlanChargeId field in the request, Zuora directly copies the values of the following fields from the corresponding product rate plan charge, regardless of the values specified in the request body: - chargeName - sku - uom - taxCode - taxMode - accountingCode - deferredRevenueAccountingCode - recognizedRevenueAccountingCode - `invoiceItems.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `invoiceItems.quantity` (number) The number of units for the invoice item. - `invoiceItems.recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.serviceEndDate` (string) The service end date of the invoice item. - `invoiceItems.serviceStartDate` (string, required) The service start date of the invoice item. - `invoiceItems.sku` (string) The SKU of the invoice item. The SKU of the invoice item must be different from the SKU of any existing product. - `invoiceItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to the invoice item. Note: This field is only available only if you have Taxation enabled. - `invoiceItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Note: This field is only available only if you have Taxation enabled. Enum: "TaxInclusive", "TaxExclusive" - `invoiceItems.unbilledReceivablesAccountingCode` (string) The accounting code for unbilled receivables. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.unitPrice` (number) The per-unit price of the invoice item. To pass Level 3 data to the gateway, this field is required and must be greater than zero. - `invoiceItems.uom` (string) The unit of measure. - `invoiceNumber` (string) A customized invoice number with the following format requirements: - Max length: 32 characters - Acceptable characters: a-z,A-Z,0-9,-,_, Purely numerical prefixes or prefixes ending with a number are supported for standalone invoices. For example, you can use 202310000300, 2003, INV202310000300, or 2023-09-100009785 as invoice numbers. The value must be unique in the system, otherwise it may cause issues with bill runs and subscribe/amend. Check out [things to note and troubleshooting steps](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/IA_Invoices/Unified_Invoicing/Import_external_invoices_as_standalone_invoices?#Customizing_invoice_number). - `paymentTerm` (string) The ID or name of the payment term associated with the invoice. For example, Net 30. The payment term determines the due dates of invoices. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `sequenceSet` (string) The ID or name of the sequence set associated with the invoice. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `shipToContact` (object) Container for bill-to, sold-to, or ship-to contact information. A new Contact will be created under the invoice owner account. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `shipToContactId` (string) The ID of the ship-to contact associated with the invoice. This field is mutually exclusive with the shipToContact field. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `shipToSameAsBillTo` (boolean) Whether the ship-to contact and bill-to contact are the same entity. This field is mutually exclusive with the shipToContact and shipToContactId fields. The created invoice has the same bill-to contact and ship-to contact entity only when all the following conditions are met in the request body: - This field is set to true. - A bill-to contact or bill-to contact ID is specified. - Neither ship-to contact nor ship-to contact ID is specified. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `soldToContact` (object) Container for bill-to, sold-to, or ship-to contact information. A new Contact will be created under the invoice owner account. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `soldToContactId` (string) The ID of the sold-to contact associated with the invoice. This field is mutually exclusive with the soldToContact field. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `soldToSameAsBillTo` (boolean) Whether the sold-to contact and bill-to contact are the same entity. This field is mutually exclusive with the soldToContact and soldToContactId fields. The created invoice has the same bill-to contact and sold-to contact entity only when all the following conditions are met in the request body: - This field is set to true. - A bill-to contact or bill-to contact ID is specified. - Neither sold-to contact nor sold-to contact ID is specified. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `status` (string) The status of invoice. By default, the invoice status is Draft. When creating an invoice, if you set this field to Posted, the invoice is created and posted directly. Enum: "Draft", "Posted" - `templateId` (string) The ID of the invoice template associated with the invoice. Note: If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body. - `transferredToAccounting` (string) Enum: "Processing", "Error", "Ignore", "Yes", "No" - `IntegrationStatus__NS` (string) Status of the invoice's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the invoice was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `accountId` (string) The ID of the customer account associated with the invoice. - `adjustmentAmount` (number) The amount of the invoice adjustments associated with the invoice. - `amount` (number) The total amount of the invoice. - `amountWithoutTax` (number) The invoice amount excluding tax. - `autoPay` (boolean) Whether invoices are automatically picked up for processing in the corresponding payment run. - `balance` (number) The remaining balance of the invoice after all payments, adjustments, and refunds are applied. - `billRunId` (string) The id of bill run if the invoice is generated by a bill run. - `billToContactId` (string,null) The ID of the bill-to contact associated with the invoice. - `billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `comments` (string) Comments about the invoice. - `createdById` (string) The user ID of the person who created the invoice. If a bill run generated the invoice, then the value is the user ID of person who created the bill run. - `createdDate` (string) The date and time when the invoice was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `creditBalanceAdjustmentAmount` (number) The currency amount of the adjustment applied to the customer's credit balance. Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. - `creditMemoAmount` (number) The currency amount of all credit memos applied to this invoice. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `currency` (string,null) The currency of the invoice. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `discount` (number) the invoice discount amount. - `dueDate` (string) The date by which the payment for this invoice is due, in yyyy-mm-dd format. - `einvoiceErrorCode` (string) The error code when status is "Failed". This code can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `einvoiceErrorMessage` (string) The error message when status is "Failed". This message can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `einvoiceFileId` (string) The ID of the e-invoice file. - `einvoiceStatus` (string) The status of the e-invoice file generation for the invoice. - If e-invoicing file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceField fieldstores the ID of the generated e-inoice file. - If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes RetrieveTimeOut. Once the vendor responds successfully, you can use the 'Resync E-Invoice Status' action to update the status automatically. You can view these updates in System Health telemetry. - If a failure occurs during e-invoice file generation, this field is Failed and error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `id` (string) The unique ID of the invoice. - `includesOneTime` (boolean) Specifies whether the invoice includes one-time charges. - `includesRecurring` (boolean) Specifies whether the invoice includes recurring charges. - `includesUsage` (boolean) Specifies whether the invoice includes usage charges. - `invoiceDate` (string) The date that appears on the invoice being created. - `invoiceGroupNumber` (string,null) The number of the invoice group associated with the invoice. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `invoiceNumber` (string) The unique identification number of the invoice. - `lastEmailSentDate` (string) The date when the invoice was last emailed. - `organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `paymentAmount` (number) The amount of payments applied to the invoice. - `paymentTerm` (string,null) The name of payment term associated with the invoice. - `postedBy` (string) The user ID of the person who moved the invoice to Posted status. - `postedDate` (string) The date when the invoice was posted. - `refundAmount` (number) Specifies the amount of a refund that was applied against an earlier payment on the invoice. - `sequenceSetId` (string,null) The ID of the sequence set associated with the invoice. - `communicationProfileId` (string,null) The ID of the communication profile associated with the invoice. - `shipToContactId` (string,null) The ID of the ship-to contact associated with the invoice. - `shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `soldToContactId` (string,null) The ID of the sold-to contact associated with the invoice. - `soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `source` (string) The source of the invoice. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend" - `sourceId` (string) The ID of the invoice source. If an invoice is generated from a bill run, the value is the number of the corresponding bill run.Otherwise, the value is null. - `sourceType` (string) The type of the invoice source. Enum: "Subscription", "Standalone", "Order", "Consolidation" - `status` (string) The status of the invoice. Enum: "Draft", "Posted" - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in this bill run. - `taxAmount` (number) The amount of taxation. - `taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxMessage` (string,null) The message that the tax engine return if it calculates the taxes of this invoice fails. - `taxStatus` (string) The status that the tax engine return after it calculates the taxes of this invoice. Note: This field is only applicable to tax calculation by third-party tax engines. The Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `templateId` (string,null) The ID of the invoice template. - If you have the Flexible Billing Attributes feature enabled, the value of this field depends on the configuration of the invoice template. - If you specify an invoice template at the subscription level, the value of this field is automatically populated from the corresponding subscription. - If you do not specify any invoice template at the subscription level, the value of this field is automatically populated from the corresponding account. - If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `transferredToAccounting` (string) Whether the invoice was transferred to an external accounting system. Enum: "Processing", "Error", "Ignore", "Yes", "No" - `updatedById` (string) The ID of the Zuora user who last updated the invoice. - `updatedDate` (string) The date when the invoice was last updated. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the invoice's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the invoice was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.